<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ResetInfo](./bitburner.resetinfo.md) &gt; [ownedSF](./bitburner.resetinfo.ownedsf.md)

## ResetInfo.ownedSF property

A map of owned source files. Its keys are the SF numbers. Its values are the active SF levels. This map takes BitNode options into account.

For example, let's say you have SF 1.3, but you overrode the active level of SF1 and set it to level 1. In this case, this map contains this entry: Key: 1 =<!-- -->&gt; Value: 1.

If the active level of a source file is 0, that source file won't be included in the result.

**Signature:**

```typescript
ownedSF: Map<number, number>;
```
